aboutsummaryrefslogtreecommitdiffstats
path: root/main/docbook-xml/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-12-02 15:53:37 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-12-02 15:54:45 +0000
commit1386f97c302602a87e279d60466aa34360da5fe3 (patch)
tree001c9ec2733309486fa8250031939dd12352e170 /main/docbook-xml/APKBUILD
parent69ee2ecc7acaf7b857e972e4b91be4d668e985f8 (diff)
downloadaports-1386f97c302602a87e279d60466aa34360da5fe3.tar.gz
aports-1386f97c302602a87e279d60466aa34360da5fe3.tar.bz2
aports-1386f97c302602a87e279d60466aa34360da5fe3.tar.xz
main/docbook-xml: fix version 4.1.2
Diffstat (limited to 'main/docbook-xml/APKBUILD')
-rw-r--r--main/docbook-xml/APKBUILD19
1 files changed, 11 insertions, 8 deletions
diff --git a/main/docbook-xml/APKBUILD b/main/docbook-xml/APKBUILD
index 0233b965c8..cba3954a55 100644
--- a/main/docbook-xml/APKBUILD
+++ b/main/docbook-xml/APKBUILD
@@ -1,10 +1,10 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=docbook-xml
pkgver=4.5
-pkgrel=3
+pkgrel=4
pkgdesc="A widely used XML scheme for writing documentation and help"
url="http://scrollkeeper.sourceforge.net/docbook.shtml"
-arch="all"
+arch="noarch"
license="MIT"
depends="libxml2-utils"
makedepends=
@@ -21,19 +21,22 @@ unpack() {
:
}
-build ()
-{
+build () {
for ver in 4.1.2 4.2 4.3 4.4 4.5; do
case $ver in
- 4.1.2) _pv=412;;
- *) _pv=$ver;;
+ 4.1.2) _filename=docbkx412.zip;;
+ *) _filename=docbook-xml-$ver.zip;;
esac
mkdir -p "$srcdir"/docbook-xml-${ver}
cd "$srcdir"/docbook-xml-${ver}
- unzip "$srcdir"/docbook-xml-${_pv}.zip
+ msg "extracting ${_filename}"
+ unzip "$srcdir"/$_filename || return 1
mkdir -p "$pkgdir"/usr/share/xml/docbook/xml-dtd-${ver}
- cp -af docbook.cat *.dtd ent/ *.mod "$pkgdir"/usr/share/xml/docbook/xml-dtd-${ver}/
+ cp -af docbook.cat *.dtd ent/ *.mod "$pkgdir"/usr/share/xml/docbook/xml-dtd-${ver}/ || return 1
done
+
+ chmod 755 "$pkgdir"/usr/share/xml/docbook/xml-dtd-*/ent
+
mkdir -p "$pkgdir"/etc/xml
xmlcatalog --noout --create "$pkgdir"/etc/xml/docbook-xml
xmlcatalog --noout --add \